libqxp::QXP4Parser::ObjectHeader Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
libqxp::QXP4Parser::ObjectHeader Struct Reference

`#include <QXP4Parser.h>`

## Public Member Functions
| ObjectHeader ()

## Public Attributes
boost::optional< Color > | fillColor
Color | color
unsigned | contentIndex
unsigned | linkId
unsigned | oleId
unsigned | gradientId
double | rotation
double | skew
bool | hflip
bool | vflip
ContentType | contentType
ShapeType | shapeType
BoxType | boxType
CornerType | cornerType

## Constructor & Destructor Documentation

## ◆ ObjectHeader()

libqxp::QXP4Parser::ObjectHeader::ObjectHeader | ( |  | ) |
| inline

## Member Data Documentation

## ◆ boxType

BoxType libqxp::QXP4Parser::ObjectHeader::boxType

## ◆ color

Color libqxp::QXP4Parser::ObjectHeader::color

Referenced by libqxp::QXP4Parser::parseBezierEmptyBox(), libqxp::QXP4Parser::parseBezierPictureBox(), libqxp::QXP4Parser::parseBezierTextBox(), libqxp::QXP4Parser::parseEmptyBox(), libqxp::QXP4Parser::parsePictureBox(), and libqxp::QXP4Parser::parseTextBox().

## ◆ contentIndex

unsigned libqxp::QXP4Parser::ObjectHeader::contentIndex

Referenced by libqxp::QXP4Parser::parseBezierPictureBox(), libqxp::QXP4Parser::parseBezierText(), libqxp::QXP4Parser::parseBezierTextBox(), libqxp::QXP4Parser::parseLineText(), libqxp::QXP4Parser::parsePictureBox(), libqxp::QXP4Parser::parseTextBox(), and libqxp::QXP4Parser::skipTextObjectEnd().

## ◆ contentType

ContentType libqxp::QXP4Parser::ObjectHeader::contentType

## ◆ cornerType

CornerType libqxp::QXP4Parser::ObjectHeader::cornerType

## ◆ fillColor

boost::optional<Color> libqxp::QXP4Parser::ObjectHeader::fillColor

## ◆ gradientId

unsigned libqxp::QXP4Parser::ObjectHeader::gradientId

Referenced by libqxp::QXP4Parser::parseBezierEmptyBox(), libqxp::QXP4Parser::parseBezierPictureBox(), libqxp::QXP4Parser::parseBezierTextBox(), libqxp::QXP4Parser::parseEmptyBox(), libqxp::QXP4Parser::parsePictureBox(), and libqxp::QXP4Parser::parseTextBox().

## ◆ hflip

bool libqxp::QXP4Parser::ObjectHeader::hflip

## ◆ linkId

unsigned libqxp::QXP4Parser::ObjectHeader::linkId

Referenced by libqxp::QXP4Parser::parseBezierText(), libqxp::QXP4Parser::parseBezierTextBox(), libqxp::QXP4Parser::parseLineText(), and libqxp::QXP4Parser::parseTextBox().

## ◆ oleId

unsigned libqxp::QXP4Parser::ObjectHeader::oleId

Referenced by libqxp::QXP4Parser::parseBezierPictureBox(), and libqxp::QXP4Parser::parsePictureBox().

## ◆ rotation

double libqxp::QXP4Parser::ObjectHeader::rotation

## ◆ shapeType

ShapeType libqxp::QXP4Parser::ObjectHeader::shapeType

## ◆ skew

double libqxp::QXP4Parser::ObjectHeader::skew

## ◆ vflip

bool libqxp::QXP4Parser::ObjectHeader::vflip

The documentation for this struct was generated from the following file:

- QXP4Parser.h